import { Kubeflow } from "@/components/models/management/Kubeflow";
import { request } from "@/components/service/index";
export const KubeflowService = {
  upload: (payload: kubeflow) => {
    return request.post("/pipelines/upload", payload);
  },
  run: (payload: kubeflow) => {
    return request.post("/pipelines/runs", payload);
  },
  experiments: (params?: {
    namespace?: string;
    pageSize?: number;
    pageToken?: string;
  }) => request.get("/api/kubeflow/experiments", params),
  experimentData: (experimentId: string) => {
    return request.get(`/api/kubeflow/experiments/${experimentId}`, {});
  },
};
